#
# UCI Adult evaluations
# Three Neural Network classifiers, depth = 6, Mathematica
#
# Features = ((age, workclass, hours-per-week),
# (marital-status, race, native-country),
# (occupation, sex, capital-loss))
#
data_sketches = (
    {
        "a": {
            ("a", "b", "a"): 177,
            ("a", "a", "a"): 973,
            ("b", "a", "a"): 291,
            ("a", "a", "b"): 380,
            ("b", "a", "b"): 110,
            ("a", "b", "b"): 78,
            ("b", "b", "a"): 69,
            ("b", "b", "b"): 29,
        },
        "b": {
            ("a", "a", "b"): 1655,
            ("b", "b", "b"): 5928,
            ("a", "b", "b"): 3519,
            ("b", "a", "b"): 2822,
            ("a", "b", "a"): 1556,
            ("b", "a", "a"): 1283,
            ("b", "b", "a"): 2680,
            ("a", "a", "a"): 823,
        },
    },
    {
        "a": {
            ("a", "b", "b"): 75,
            ("a", "a", "a"): 962,
            ("a", "a", "b"): 371,
            ("b", "a", "a"): 308,
            ("b", "a", "b"): 126,
            ("a", "b", "a"): 182,
            ("b", "b", "b"): 20,
            ("b", "b", "a"): 63,
        },
        "b": {
            ("a", "b", "b"): 3460,
            ("a", "a", "b"): 1687,
            ("a", "b", "a"): 1552,
            ("b", "a", "b"): 2707,
            ("b", "b", "b"): 6050,
            ("b", "b", "a"): 2679,
            ("a", "a", "a"): 770,
            ("b", "a", "a"): 1361,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 964,
            ("b", "a", "a"): 305,
            ("b", "b", "a"): 59,
            ("a", "b", "a"): 197,
            ("a", "a", "b"): 352,
            ("a", "b", "b"): 69,
            ("b", "a", "b"): 136,
            ("b", "b", "b"): 25,
        },
        "b": {
            ("b", "b", "b"): 5941,
            ("a", "a", "b"): 1633,
            ("a", "b", "b"): 3528,
            ("a", "b", "a"): 1625,
            ("b", "a", "b"): 2777,
            ("b", "b", "a"): 2677,
            ("b", "a", "a"): 1347,
            ("a", "a", "a"): 738,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 369,
            ("a", "a", "a"): 970,
            ("b", "a", "a"): 303,
            ("a", "b", "b"): 68,
            ("a", "b", "a"): 188,
            ("b", "b", "b"): 31,
            ("b", "b", "a"): 59,
            ("b", "a", "b"): 119,
        },
        "b": {
            ("b", "a", "a"): 1268,
            ("b", "a", "b"): 2785,
            ("b", "b", "b"): 5940,
            ("a", "b", "b"): 3508,
            ("a", "a", "b"): 1655,
            ("b", "b", "a"): 2759,
            ("a", "b", "a"): 1592,
            ("a", "a", "a"): 759,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 375,
            ("b", "a", "b"): 120,
            ("a", "a", "a"): 995,
            ("a", "b", "a"): 184,
            ("b", "a", "a"): 284,
            ("b", "b", "a"): 61,
            ("a", "b", "b"): 61,
            ("b", "b", "b"): 27,
        },
        "b": {
            ("b", "b", "b"): 5916,
            ("a", "b", "b"): 3536,
            ("b", "a", "b"): 2761,
            ("b", "b", "a"): 2746,
            ("b", "a", "a"): 1294,
            ("a", "a", "b"): 1656,
            ("a", "a", "a"): 766,
            ("a", "b", "a"): 1591,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 967,
            ("b", "b", "b"): 30,
            ("a", "b", "a"): 174,
            ("b", "a", "a"): 310,
            ("a", "a", "b"): 374,
            ("a", "b", "b"): 80,
            ("b", "a", "b"): 111,
            ("b", "b", "a"): 61,
        },
        "b": {
            ("a", "a", "a"): 749,
            ("b", "a", "b"): 2860,
            ("b", "b", "b"): 5967,
            ("b", "b", "a"): 2698,
            ("a", "b", "b"): 3488,
            ("b", "a", "a"): 1290,
            ("a", "a", "b"): 1653,
            ("a", "b", "a"): 1561,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 369,
            ("a", "a", "a"): 955,
            ("b", "b", "a"): 61,
            ("b", "a", "a"): 311,
            ("b", "a", "b"): 127,
            ("a", "b", "a"): 189,
            ("a", "b", "b"): 77,
            ("b", "b", "b"): 18,
        },
        "b": {
            ("b", "b", "a"): 2681,
            ("b", "b", "b"): 6035,
            ("b", "a", "b"): 2852,
            ("a", "b", "b"): 3441,
            ("a", "a", "b"): 1629,
            ("b", "a", "a"): 1255,
            ("a", "b", "a"): 1631,
            ("a", "a", "a"): 742,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 959,
            ("a", "a", "b"): 386,
            ("b", "b", "a"): 61,
            ("b", "a", "a"): 304,
            ("b", "a", "b"): 122,
            ("a", "b", "b"): 65,
            ("a", "b", "a"): 184,
            ("b", "b", "b"): 26,
        },
        "b": {
            ("b", "b", "a"): 2670,
            ("b", "b", "b"): 5921,
            ("b", "a", "a"): 1325,
            ("a", "b", "b"): 3501,
            ("a", "a", "a"): 734,
            ("b", "a", "b"): 2797,
            ("a", "b", "a"): 1616,
            ("a", "a", "b"): 1702,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 972,
            ("a", "b", "a"): 174,
            ("b", "a", "a"): 320,
            ("a", "b", "b"): 87,
            ("a", "a", "b"): 363,
            ("b", "b", "a"): 59,
            ("b", "a", "b"): 109,
            ("b", "b", "b"): 23,
        },
        "b": {
            ("b", "b", "b"): 6003,
            ("b", "a", "b"): 2845,
            ("b", "a", "a"): 1255,
            ("a", "a", "b"): 1577,
            ("a", "b", "b"): 3486,
            ("b", "b", "a"): 2661,
            ("a", "a", "a"): 771,
            ("a", "b", "a"): 1668,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 388,
            ("b", "a", "a"): 297,
            ("a", "a", "a"): 957,
            ("b", "a", "b"): 115,
            ("a", "b", "a"): 196,
            ("a", "b", "b"): 70,
            ("b", "b", "a"): 56,
            ("b", "b", "b"): 28,
        },
        "b": {
            ("b", "b", "b"): 6020,
            ("a", "b", "b"): 3529,
            ("b", "a", "b"): 2772,
            ("b", "b", "a"): 2662,
            ("a", "a", "a"): 788,
            ("b", "a", "a"): 1253,
            ("a", "b", "a"): 1573,
            ("a", "a", "b"): 1669,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 320,
            ("a", "a", "b"): 403,
            ("a", "b", "a"): 194,
            ("a", "a", "a"): 927,
            ("b", "b", "b"): 20,
            ("b", "a", "b"): 115,
            ("b", "b", "a"): 60,
            ("a", "b", "b"): 68,
        },
        "b": {
            ("b", "a", "b"): 2756,
            ("a", "b", "a"): 1599,
            ("b", "b", "b"): 6063,
            ("a", "a", "a"): 744,
            ("a", "b", "b"): 3483,
            ("a", "a", "b"): 1657,
            ("b", "a", "a"): 1329,
            ("b", "b", "a"): 2635,
        },
    },
    {
        "a": {
            ("a", "b", "a"): 176,
            ("a", "a", "a"): 960,
            ("b", "a", "b"): 117,
            ("a", "a", "b"): 386,
            ("b", "a", "a"): 298,
            ("b", "b", "a"): 74,
            ("a", "b", "b"): 75,
            ("b", "b", "b"): 21,
        },
        "b": {
            ("a", "b", "b"): 3456,
            ("b", "a", "a"): 1266,
            ("a", "a", "a"): 778,
            ("b", "b", "b"): 6041,
            ("a", "a", "b"): 1623,
            ("a", "b", "a"): 1598,
            ("b", "a", "b"): 2855,
            ("b", "b", "a"): 2649,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 298,
            ("a", "b", "b"): 76,
            ("a", "a", "a"): 974,
            ("a", "a", "b"): 374,
            ("b", "a", "b"): 127,
            ("a", "b", "a"): 171,
            ("b", "b", "a"): 60,
            ("b", "b", "b"): 27,
        },
        "b": {
            ("a", "b", "a"): 1584,
            ("a", "b", "b"): 3534,
            ("b", "b", "b"): 6004,
            ("b", "a", "b"): 2849,
            ("a", "a", "b"): 1618,
            ("b", "b", "a"): 2621,
            ("a", "a", "a"): 781,
            ("b", "a", "a"): 1275,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 946,
            ("b", "a", "b"): 121,
            ("b", "a", "a"): 293,
            ("a", "b", "a"): 201,
            ("a", "a", "b"): 376,
            ("a", "b", "b"): 82,
            ("b", "b", "a"): 67,
            ("b", "b", "b"): 21,
        },
        "b": {
            ("b", "a", "a"): 1186,
            ("b", "b", "b"): 6011,
            ("a", "b", "a"): 1583,
            ("a", "b", "b"): 3453,
            ("b", "b", "a"): 2714,
            ("b", "a", "b"): 2876,
            ("a", "a", "b"): 1644,
            ("a", "a", "a"): 799,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 975,
            ("a", "b", "a"): 185,
            ("b", "a", "a"): 301,
            ("b", "a", "b"): 119,
            ("a", "a", "b"): 358,
            ("a", "b", "b"): 77,
            ("b", "b", "a"): 67,
            ("b", "b", "b"): 25,
        },
        "b": {
            ("b", "a", "a"): 1303,
            ("a", "b", "a"): 1563,
            ("b", "b", "b"): 5893,
            ("a", "b", "b"): 3536,
            ("b", "b", "a"): 2732,
            ("a", "a", "b"): 1705,
            ("b", "a", "b"): 2817,
            ("a", "a", "a"): 717,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 964,
            ("b", "a", "a"): 322,
            ("a", "b", "a"): 187,
            ("a", "a", "b"): 350,
            ("a", "b", "b"): 82,
            ("b", "a", "b"): 128,
            ("b", "b", "b"): 27,
            ("b", "b", "a"): 47,
        },
        "b": {
            ("b", "b", "a"): 2662,
            ("a", "a", "b"): 1674,
            ("b", "a", "a"): 1329,
            ("b", "a", "b"): 2818,
            ("b", "b", "b"): 5934,
            ("a", "b", "b"): 3471,
            ("a", "b", "a"): 1613,
            ("a", "a", "a"): 765,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 967,
            ("a", "a", "b"): 370,
            ("a", "b", "a"): 191,
            ("b", "a", "b"): 129,
            ("b", "b", "b"): 27,
            ("a", "b", "b"): 67,
            ("b", "a", "a"): 285,
            ("b", "b", "a"): 71,
        },
        "b": {
            ("a", "a", "b"): 1674,
            ("b", "a", "b"): 2836,
            ("a", "b", "b"): 3488,
            ("b", "b", "b"): 5984,
            ("b", "b", "a"): 2637,
            ("a", "b", "a"): 1622,
            ("a", "a", "a"): 768,
            ("b", "a", "a"): 1257,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 931,
            ("b", "a", "a"): 321,
            ("a", "a", "b"): 406,
            ("b", "a", "b"): 103,
            ("a", "b", "a"): 189,
            ("b", "b", "a"): 69,
            ("a", "b", "b"): 67,
            ("b", "b", "b"): 21,
        },
        "b": {
            ("b", "b", "b"): 5946,
            ("b", "a", "b"): 2816,
            ("b", "b", "a"): 2710,
            ("a", "b", "b"): 3570,
            ("a", "a", "b"): 1614,
            ("b", "a", "a"): 1276,
            ("a", "b", "a"): 1595,
            ("a", "a", "a"): 739,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 966,
            ("b", "a", "b"): 126,
            ("a", "a", "b"): 355,
            ("b", "a", "a"): 323,
            ("b", "b", "a"): 42,
            ("a", "b", "a"): 186,
            ("a", "b", "b"): 84,
            ("b", "b", "b"): 25,
        },
        "b": {
            ("a", "b", "b"): 3522,
            ("b", "b", "b"): 5902,
            ("a", "a", "b"): 1639,
            ("b", "b", "a"): 2717,
            ("a", "a", "a"): 780,
            ("a", "b", "a"): 1574,
            ("b", "a", "a"): 1273,
            ("b", "a", "b"): 2859,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 954,
            ("b", "a", "b"): 111,
            ("a", "a", "b"): 363,
            ("b", "b", "b"): 30,
            ("b", "a", "a"): 322,
            ("a", "b", "a"): 202,
            ("a", "b", "b"): 74,
            ("b", "b", "a"): 51,
        },
        "b": {
            ("b", "b", "b"): 5912,
            ("b", "b", "a"): 2801,
            ("b", "a", "a"): 1247,
            ("a", "a", "a"): 746,
            ("a", "b", "a"): 1545,
            ("a", "b", "b"): 3503,
            ("b", "a", "b"): 2830,
            ("a", "a", "b"): 1682,
        },
    },
    {
        "a": {
            ("b", "b", "b"): 28,
            ("b", "a", "b"): 113,
            ("a", "b", "b"): 73,
            ("a", "a", "a"): 951,
            ("a", "a", "b"): 363,
            ("b", "a", "a"): 320,
            ("a", "b", "a"): 201,
            ("b", "b", "a"): 58,
        },
        "b": {
            ("b", "b", "b"): 5859,
            ("b", "b", "a"): 2757,
            ("a", "b", "b"): 3599,
            ("b", "a", "b"): 2801,
            ("a", "b", "a"): 1562,
            ("b", "a", "a"): 1276,
            ("a", "a", "a"): 767,
            ("a", "a", "b"): 1645,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 312,
            ("a", "a", "a"): 955,
            ("a", "b", "a"): 193,
            ("a", "a", "b"): 381,
            ("b", "b", "a"): 56,
            ("b", "a", "b"): 120,
            ("b", "b", "b"): 20,
            ("a", "b", "b"): 70,
        },
        "b": {
            ("b", "a", "a"): 1289,
            ("b", "b", "b"): 5995,
            ("b", "a", "b"): 2792,
            ("a", "b", "b"): 3502,
            ("a", "b", "a"): 1612,
            ("a", "a", "b"): 1675,
            ("b", "b", "a"): 2654,
            ("a", "a", "a"): 747,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 946,
            ("b", "a", "a"): 303,
            ("b", "b", "a"): 64,
            ("a", "b", "a"): 186,
            ("a", "a", "b"): 408,
            ("b", "a", "b"): 110,
            ("a", "b", "b"): 74,
            ("b", "b", "b"): 16,
        },
        "b": {
            ("b", "b", "b"): 5919,
            ("b", "b", "a"): 2751,
            ("a", "b", "b"): 3517,
            ("a", "a", "b"): 1677,
            ("b", "a", "b"): 2803,
            ("b", "a", "a"): 1280,
            ("a", "b", "a"): 1573,
            ("a", "a", "a"): 746,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 957,
            ("b", "a", "a"): 315,
            ("a", "b", "a"): 189,
            ("b", "b", "a"): 62,
            ("a", "a", "b"): 385,
            ("b", "b", "b"): 26,
            ("a", "b", "b"): 71,
            ("b", "a", "b"): 102,
        },
        "b": {
            ("b", "b", "b"): 6004,
            ("a", "b", "b"): 3508,
            ("a", "b", "a"): 1567,
            ("b", "a", "b"): 2781,
            ("a", "a", "b"): 1624,
            ("b", "a", "a"): 1287,
            ("b", "b", "a"): 2745,
            ("a", "a", "a"): 750,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 980,
            ("b", "a", "b"): 128,
            ("a", "a", "b"): 357,
            ("a", "b", "b"): 77,
            ("b", "a", "a"): 299,
            ("a", "b", "a"): 183,
            ("b", "b", "b"): 20,
            ("b", "b", "a"): 63,
        },
        "b": {
            ("b", "b", "b"): 5930,
            ("b", "b", "a"): 2744,
            ("a", "b", "b"): 3499,
            ("a", "b", "a"): 1575,
            ("b", "a", "a"): 1245,
            ("a", "a", "b"): 1673,
            ("b", "a", "b"): 2852,
            ("a", "a", "a"): 748,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 364,
            ("a", "a", "a"): 971,
            ("a", "b", "a"): 207,
            ("b", "a", "a"): 286,
            ("b", "b", "a"): 58,
            ("b", "a", "b"): 129,
            ("b", "b", "b"): 23,
            ("a", "b", "b"): 69,
        },
        "b": {
            ("b", "a", "a"): 1294,
            ("a", "a", "b"): 1738,
            ("a", "b", "a"): 1498,
            ("b", "a", "b"): 2757,
            ("b", "b", "b"): 5970,
            ("b", "b", "a"): 2746,
            ("a", "b", "b"): 3505,
            ("a", "a", "a"): 758,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 303,
            ("a", "b", "a"): 179,
            ("a", "a", "a"): 984,
            ("b", "b", "a"): 64,
            ("b", "a", "b"): 123,
            ("a", "a", "b"): 357,
            ("b", "b", "b"): 26,
            ("a", "b", "b"): 71,
        },
        "b": {
            ("b", "a", "b"): 2815,
            ("b", "b", "b"): 5878,
            ("a", "b", "a"): 1583,
            ("a", "a", "b"): 1658,
            ("a", "b", "b"): 3506,
            ("b", "a", "a"): 1318,
            ("b", "b", "a"): 2735,
            ("a", "a", "a"): 773,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 379,
            ("a", "a", "a"): 963,
            ("b", "a", "a"): 304,
            ("b", "b", "a"): 60,
            ("b", "a", "b"): 118,
            ("a", "b", "a"): 188,
            ("a", "b", "b"): 70,
            ("b", "b", "b"): 25,
        },
        "b": {
            ("a", "b", "b"): 3519,
            ("a", "a", "a"): 747,
            ("b", "b", "a"): 2674,
            ("b", "b", "b"): 6022,
            ("a", "a", "b"): 1660,
            ("b", "a", "b"): 2776,
            ("b", "a", "a"): 1305,
            ("a", "b", "a"): 1563,
        },
    },
    {
        "a": {
            ("b", "a", "b"): 124,
            ("a", "a", "a"): 937,
            ("b", "a", "a"): 314,
            ("a", "a", "b"): 380,
            ("b", "b", "a"): 56,
            ("b", "b", "b"): 25,
            ("a", "b", "a"): 199,
            ("a", "b", "b"): 72,
        },
        "b": {
            ("b", "b", "b"): 5976,
            ("a", "b", "b"): 3467,
            ("a", "a", "b"): 1708,
            ("b", "a", "b"): 2837,
            ("a", "b", "a"): 1614,
            ("b", "b", "a"): 2653,
            ("b", "a", "a"): 1238,
            ("a", "a", "a"): 773,
        },
    },
    {
        "a": {
            ("b", "a", "b"): 127,
            ("b", "a", "a"): 299,
            ("a", "a", "a"): 946,
            ("a", "a", "b"): 381,
            ("a", "b", "a"): 188,
            ("a", "b", "b"): 74,
            ("b", "b", "a"): 69,
            ("b", "b", "b"): 23,
        },
        "b": {
            ("b", "b", "b"): 6049,
            ("a", "b", "a"): 1657,
            ("b", "a", "b"): 2799,
            ("a", "a", "b"): 1606,
            ("a", "b", "b"): 3483,
            ("b", "a", "a"): 1277,
            ("b", "b", "a"): 2646,
            ("a", "a", "a"): 749,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 997,
            ("a", "b", "a"): 177,
            ("b", "a", "b"): 108,
            ("b", "a", "a"): 304,
            ("a", "b", "b"): 72,
            ("a", "a", "b"): 364,
            ("b", "b", "a"): 63,
            ("b", "b", "b"): 22,
        },
        "b": {
            ("a", "b", "a"): 1548,
            ("b", "a", "b"): 2800,
            ("b", "b", "b"): 5987,
            ("a", "b", "b"): 3482,
            ("b", "b", "a"): 2719,
            ("a", "a", "a"): 747,
            ("a", "a", "b"): 1700,
            ("b", "a", "a"): 1283,
        },
    },
    {
        "a": {
            ("a", "b", "a"): 195,
            ("b", "b", "a"): 59,
            ("a", "a", "a"): 937,
            ("b", "a", "a"): 314,
            ("a", "a", "b"): 388,
            ("b", "a", "b"): 117,
            ("a", "b", "b"): 61,
            ("b", "b", "b"): 36,
        },
        "b": {
            ("a", "b", "a"): 1561,
            ("a", "a", "a"): 756,
            ("a", "b", "b"): 3506,
            ("b", "b", "a"): 2676,
            ("a", "a", "b"): 1637,
            ("b", "b", "b"): 6008,
            ("b", "a", "a"): 1284,
            ("b", "a", "b"): 2838,
        },
    },
    {
        "a": {
            ("b", "a", "b"): 126,
            ("a", "a", "b"): 398,
            ("a", "a", "a"): 920,
            ("b", "a", "a"): 315,
            ("a", "b", "a"): 202,
            ("a", "b", "b"): 70,
            ("b", "b", "a"): 57,
            ("b", "b", "b"): 19,
        },
        "b": {
            ("b", "a", "b"): 2860,
            ("a", "b", "a"): 1593,
            ("a", "b", "b"): 3550,
            ("b", "b", "b"): 5901,
            ("b", "a", "a"): 1295,
            ("a", "a", "b"): 1617,
            ("b", "b", "a"): 2731,
            ("a", "a", "a"): 719,
        },
    },
    {
        "a": {
            ("b", "a", "b"): 124,
            ("a", "a", "b"): 373,
            ("a", "b", "a"): 177,
            ("a", "a", "a"): 977,
            ("a", "b", "b"): 79,
            ("b", "a", "a"): 282,
            ("b", "b", "b"): 25,
            ("b", "b", "a"): 70,
        },
        "b": {
            ("b", "b", "a"): 2758,
            ("a", "b", "b"): 3491,
            ("b", "a", "b"): 2746,
            ("b", "b", "b"): 5952,
            ("a", "b", "a"): 1553,
            ("b", "a", "a"): 1326,
            ("a", "a", "a"): 755,
            ("a", "a", "b"): 1685,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 955,
            ("b", "a", "a"): 307,
            ("b", "a", "b"): 128,
            ("a", "b", "a"): 184,
            ("a", "a", "b"): 379,
            ("a", "b", "b"): 70,
            ("b", "b", "b"): 25,
            ("b", "b", "a"): 59,
        },
        "b": {
            ("a", "b", "a"): 1560,
            ("b", "b", "b"): 5949,
            ("a", "a", "b"): 1673,
            ("a", "b", "b"): 3494,
            ("b", "a", "b"): 2822,
            ("b", "a", "a"): 1273,
            ("b", "b", "a"): 2763,
            ("a", "a", "a"): 732,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 913,
            ("a", "a", "b"): 393,
            ("b", "b", "a"): 63,
            ("b", "a", "b"): 118,
            ("b", "a", "a"): 331,
            ("a", "b", "a"): 202,
            ("a", "b", "b"): 68,
            ("b", "b", "b"): 19,
        },
        "b": {
            ("b", "b", "a"): 2736,
            ("b", "b", "b"): 5972,
            ("b", "a", "b"): 2758,
            ("a", "a", "b"): 1646,
            ("a", "b", "b"): 3515,
            ("a", "b", "a"): 1552,
            ("b", "a", "a"): 1305,
            ("a", "a", "a"): 782,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 966,
            ("b", "a", "a"): 310,
            ("a", "b", "a"): 185,
            ("a", "a", "b"): 374,
            ("b", "b", "b"): 30,
            ("b", "a", "b"): 114,
            ("a", "b", "b"): 63,
            ("b", "b", "a"): 65,
        },
        "b": {
            ("b", "a", "a"): 1262,
            ("a", "a", "b"): 1615,
            ("b", "b", "a"): 2694,
            ("b", "a", "b"): 2806,
            ("a", "b", "b"): 3528,
            ("b", "b", "b"): 5993,
            ("a", "b", "a"): 1573,
            ("a", "a", "a"): 795,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 951,
            ("b", "a", "a"): 311,
            ("b", "a", "b"): 122,
            ("a", "a", "b"): 376,
            ("a", "b", "a"): 188,
            ("b", "b", "a"): 65,
            ("a", "b", "b"): 67,
            ("b", "b", "b"): 27,
        },
        "b": {
            ("a", "b", "a"): 1560,
            ("b", "b", "b"): 5991,
            ("b", "a", "a"): 1306,
            ("a", "a", "b"): 1652,
            ("b", "a", "b"): 2773,
            ("b", "b", "a"): 2736,
            ("a", "b", "b"): 3477,
            ("a", "a", "a"): 771,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 384,
            ("b", "a", "a"): 303,
            ("a", "a", "a"): 943,
            ("b", "b", "a"): 68,
            ("a", "b", "a"): 194,
            ("b", "a", "b"): 119,
            ("a", "b", "b"): 74,
            ("b", "b", "b"): 22,
        },
        "b": {
            ("a", "b", "a"): 1581,
            ("b", "b", "a"): 2685,
            ("b", "a", "b"): 2828,
            ("a", "b", "b"): 3561,
            ("b", "b", "b"): 5951,
            ("a", "a", "b"): 1622,
            ("b", "a", "a"): 1293,
            ("a", "a", "a"): 745,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 972,
            ("b", "a", "a"): 288,
            ("a", "a", "b"): 370,
            ("a", "b", "a"): 185,
            ("b", "b", "a"): 60,
            ("b", "a", "b"): 122,
            ("b", "b", "b"): 29,
            ("a", "b", "b"): 81,
        },
        "b": {
            ("a", "a", "a"): 744,
            ("a", "b", "b"): 3496,
            ("b", "b", "b"): 6045,
            ("b", "a", "b"): 2777,
            ("a", "a", "b"): 1629,
            ("a", "b", "a"): 1575,
            ("b", "b", "a"): 2714,
            ("b", "a", "a"): 1286,
        },
    },
    {
        "a": {
            ("b", "b", "a"): 64,
            ("b", "a", "a"): 298,
            ("a", "a", "b"): 360,
            ("a", "a", "a"): 969,
            ("a", "b", "a"): 192,
            ("b", "a", "b"): 130,
            ("a", "b", "b"): 71,
            ("b", "b", "b"): 23,
        },
        "b": {
            ("b", "a", "a"): 1245,
            ("a", "b", "b"): 3502,
            ("b", "b", "b"): 5978,
            ("a", "a", "a"): 739,
            ("a", "a", "b"): 1660,
            ("a", "b", "a"): 1615,
            ("b", "a", "b"): 2804,
            ("b", "b", "a"): 2723,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 321,
            ("a", "b", "a"): 194,
            ("a", "a", "a"): 941,
            ("a", "a", "b"): 361,
            ("b", "a", "b"): 119,
            ("b", "b", "b"): 25,
            ("a", "b", "b"): 88,
            ("b", "b", "a"): 58,
        },
        "b": {
            ("a", "b", "b"): 3510,
            ("b", "b", "b"): 5972,
            ("b", "a", "b"): 2848,
            ("b", "b", "a"): 2702,
            ("a", "a", "b"): 1635,
            ("a", "b", "a"): 1617,
            ("b", "a", "a"): 1246,
            ("a", "a", "a"): 736,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 953,
            ("b", "a", "a"): 304,
            ("a", "a", "b"): 370,
            ("b", "a", "b"): 128,
            ("a", "b", "b"): 71,
            ("b", "b", "b"): 25,
            ("b", "b", "a"): 68,
            ("a", "b", "a"): 188,
        },
        "b": {
            ("b", "b", "b"): 5846,
            ("a", "a", "a"): 746,
            ("a", "b", "b"): 3576,
            ("b", "a", "b"): 2794,
            ("b", "b", "a"): 2756,
            ("a", "a", "b"): 1680,
            ("a", "b", "a"): 1581,
            ("b", "a", "a"): 1287,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 363,
            ("b", "a", "a"): 299,
            ("a", "b", "b"): 76,
            ("b", "a", "b"): 122,
            ("a", "a", "a"): 981,
            ("b", "b", "a"): 72,
            ("a", "b", "a"): 174,
            ("b", "b", "b"): 20,
        },
        "b": {
            ("b", "b", "b"): 5990,
            ("a", "a", "b"): 1657,
            ("b", "a", "b"): 2841,
            ("a", "b", "b"): 3446,
            ("b", "b", "a"): 2750,
            ("b", "a", "a"): 1241,
            ("a", "b", "a"): 1603,
            ("a", "a", "a"): 738,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 966,
            ("a", "a", "b"): 364,
            ("b", "b", "a"): 49,
            ("b", "a", "a"): 311,
            ("b", "b", "b"): 25,
            ("a", "b", "a"): 187,
            ("b", "a", "b"): 124,
            ("a", "b", "b"): 81,
        },
        "b": {
            ("a", "b", "b"): 3518,
            ("a", "b", "a"): 1590,
            ("b", "b", "b"): 5989,
            ("b", "a", "a"): 1257,
            ("b", "b", "a"): 2714,
            ("b", "a", "b"): 2787,
            ("a", "a", "b"): 1667,
            ("a", "a", "a"): 744,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 958,
            ("b", "a", "b"): 120,
            ("a", "a", "b"): 375,
            ("a", "b", "a"): 189,
            ("b", "a", "a"): 305,
            ("a", "b", "b"): 71,
            ("b", "b", "a"): 59,
            ("b", "b", "b"): 30,
        },
        "b": {
            ("a", "a", "a"): 750,
            ("b", "a", "b"): 2809,
            ("b", "b", "a"): 2718,
            ("b", "b", "b"): 5887,
            ("a", "b", "b"): 3590,
            ("a", "b", "a"): 1534,
            ("a", "a", "b"): 1644,
            ("b", "a", "a"): 1334,
        },
    },
    {
        "a": {
            ("a", "b", "b"): 74,
            ("a", "a", "a"): 943,
            ("b", "a", "a"): 292,
            ("b", "a", "b"): 136,
            ("b", "b", "a"): 62,
            ("a", "a", "b"): 388,
            ("a", "b", "a"): 192,
            ("b", "b", "b"): 20,
        },
        "b": {
            ("b", "b", "b"): 5916,
            ("b", "b", "a"): 2754,
            ("a", "b", "b"): 3576,
            ("a", "a", "b"): 1685,
            ("b", "a", "a"): 1251,
            ("b", "a", "b"): 2788,
            ("a", "b", "a"): 1550,
            ("a", "a", "a"): 746,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 971,
            ("b", "a", "b"): 123,
            ("a", "b", "a"): 185,
            ("b", "a", "a"): 298,
            ("a", "a", "b"): 375,
            ("a", "b", "b"): 69,
            ("b", "b", "a"): 68,
            ("b", "b", "b"): 18,
        },
        "b": {
            ("b", "a", "b"): 2927,
            ("b", "b", "b"): 5842,
            ("a", "b", "a"): 1656,
            ("a", "b", "b"): 3542,
            ("a", "a", "b"): 1586,
            ("b", "b", "a"): 2731,
            ("a", "a", "a"): 730,
            ("b", "a", "a"): 1252,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 939,
            ("a", "a", "b"): 391,
            ("b", "a", "a"): 299,
            ("a", "b", "a"): 182,
            ("b", "b", "a"): 68,
            ("b", "a", "b"): 130,
            ("b", "b", "b"): 23,
            ("a", "b", "b"): 75,
        },
        "b": {
            ("a", "b", "b"): 3499,
            ("b", "b", "b"): 6032,
            ("b", "a", "b"): 2775,
            ("a", "a", "b"): 1645,
            ("a", "b", "a"): 1589,
            ("b", "b", "a"): 2694,
            ("b", "a", "a"): 1280,
            ("a", "a", "a"): 752,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 952,
            ("a", "a", "b"): 383,
            ("a", "b", "b"): 65,
            ("a", "b", "a"): 193,
            ("b", "a", "b"): 132,
            ("b", "a", "a"): 288,
            ("b", "b", "b"): 24,
            ("b", "b", "a"): 70,
        },
        "b": {
            ("a", "b", "b"): 3469,
            ("b", "a", "b"): 2790,
            ("a", "b", "a"): 1656,
            ("b", "a", "a"): 1315,
            ("b", "b", "b"): 6011,
            ("a", "a", "b"): 1657,
            ("b", "b", "a"): 2660,
            ("a", "a", "a"): 708,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 964,
            ("a", "a", "b"): 367,
            ("b", "a", "b"): 129,
            ("a", "b", "b"): 71,
            ("b", "b", "a"): 69,
            ("b", "a", "a"): 314,
            ("a", "b", "a"): 169,
            ("b", "b", "b"): 24,
        },
        "b": {
            ("a", "a", "b"): 1662,
            ("a", "b", "b"): 3478,
            ("a", "b", "a"): 1568,
            ("b", "b", "b"): 6001,
            ("b", "a", "a"): 1295,
            ("a", "a", "a"): 769,
            ("b", "a", "b"): 2796,
            ("b", "b", "a"): 2697,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 307,
            ("a", "a", "a"): 945,
            ("a", "b", "a"): 183,
            ("a", "a", "b"): 380,
            ("a", "b", "b"): 73,
            ("b", "a", "b"): 128,
            ("b", "b", "a"): 65,
            ("b", "b", "b"): 26,
        },
        "b": {
            ("b", "a", "b"): 2857,
            ("a", "a", "b"): 1576,
            ("b", "b", "b"): 5955,
            ("b", "a", "a"): 1264,
            ("b", "b", "a"): 2663,
            ("a", "b", "b"): 3574,
            ("a", "b", "a"): 1604,
            ("a", "a", "a"): 773,
        },
    },
    {
        "a": {
            ("a", "b", "b"): 70,
            ("a", "a", "a"): 956,
            ("b", "a", "a"): 303,
            ("b", "a", "b"): 126,
            ("a", "a", "b"): 370,
            ("a", "b", "a"): 195,
            ("b", "b", "a"): 64,
            ("b", "b", "b"): 23,
        },
        "b": {
            ("a", "b", "b"): 3501,
            ("a", "a", "a"): 760,
            ("b", "b", "b"): 6001,
            ("b", "b", "a"): 2725,
            ("b", "a", "b"): 2846,
            ("b", "a", "a"): 1254,
            ("a", "a", "b"): 1629,
            ("a", "b", "a"): 1550,
        },
    },
    {
        "a": {
            ("a", "b", "a"): 185,
            ("a", "a", "a"): 962,
            ("b", "a", "a"): 310,
            ("a", "b", "b"): 83,
            ("a", "a", "b"): 378,
            ("b", "a", "b"): 104,
            ("b", "b", "a"): 61,
            ("b", "b", "b"): 24,
        },
        "b": {
            ("a", "a", "b"): 1674,
            ("b", "b", "b"): 6003,
            ("a", "b", "b"): 3517,
            ("b", "a", "a"): 1259,
            ("b", "a", "b"): 2769,
            ("a", "a", "a"): 740,
            ("b", "b", "a"): 2702,
            ("a", "b", "a"): 1602,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 381,
            ("a", "a", "a"): 967,
            ("b", "b", "b"): 31,
            ("a", "b", "a"): 194,
            ("b", "a", "b"): 109,
            ("b", "a", "a"): 292,
            ("a", "b", "b"): 70,
            ("b", "b", "a"): 63,
        },
        "b": {
            ("a", "a", "a"): 776,
            ("b", "a", "b"): 2776,
            ("a", "b", "b"): 3486,
            ("b", "b", "b"): 5994,
            ("b", "b", "a"): 2723,
            ("a", "a", "b"): 1708,
            ("a", "b", "a"): 1548,
            ("b", "a", "a"): 1255,
        },
    },
    {
        "a": {
            ("a", "b", "a"): 192,
            ("b", "b", "b"): 22,
            ("a", "a", "a"): 963,
            ("a", "a", "b"): 357,
            ("b", "a", "b"): 125,
            ("a", "b", "b"): 78,
            ("b", "a", "a"): 298,
            ("b", "b", "a"): 72,
        },
        "b": {
            ("b", "b", "b"): 5915,
            ("b", "a", "b"): 2809,
            ("b", "a", "a"): 1294,
            ("a", "a", "a"): 744,
            ("a", "a", "b"): 1688,
            ("b", "b", "a"): 2730,
            ("a", "b", "a"): 1521,
            ("a", "b", "b"): 3565,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 318,
            ("a", "b", "a"): 186,
            ("a", "a", "b"): 385,
            ("a", "a", "a"): 945,
            ("b", "a", "b"): 125,
            ("a", "b", "b"): 69,
            ("b", "b", "a"): 58,
            ("b", "b", "b"): 21,
        },
        "b": {
            ("b", "a", "b"): 2751,
            ("b", "b", "b"): 5989,
            ("b", "a", "a"): 1360,
            ("a", "b", "a"): 1552,
            ("a", "b", "b"): 3532,
            ("b", "b", "a"): 2719,
            ("a", "a", "b"): 1618,
            ("a", "a", "a"): 745,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 974,
            ("b", "a", "b"): 142,
            ("a", "b", "a"): 188,
            ("a", "a", "b"): 360,
            ("b", "b", "b"): 26,
            ("b", "a", "a"): 288,
            ("b", "b", "a"): 61,
            ("a", "b", "b"): 68,
        },
        "b": {
            ("a", "b", "b"): 3516,
            ("b", "a", "b"): 2818,
            ("b", "b", "a"): 2784,
            ("b", "b", "b"): 5893,
            ("a", "a", "b"): 1695,
            ("a", "b", "a"): 1569,
            ("b", "a", "a"): 1231,
            ("a", "a", "a"): 760,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 303,
            ("a", "a", "a"): 960,
            ("a", "a", "b"): 393,
            ("b", "a", "b"): 120,
            ("a", "b", "b"): 73,
            ("a", "b", "a"): 170,
            ("b", "b", "a"): 69,
            ("b", "b", "b"): 19,
        },
        "b": {
            ("b", "b", "b"): 6028,
            ("b", "a", "b"): 2712,
            ("a", "b", "a"): 1603,
            ("b", "b", "a"): 2739,
            ("a", "a", "b"): 1715,
            ("a", "b", "b"): 3437,
            ("a", "a", "a"): 737,
            ("b", "a", "a"): 1295,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 966,
            ("a", "a", "b"): 386,
            ("b", "a", "a"): 312,
            ("b", "a", "b"): 99,
            ("a", "b", "b"): 76,
            ("a", "b", "a"): 166,
            ("b", "b", "a"): 70,
            ("b", "b", "b"): 32,
        },
        "b": {
            ("b", "b", "b"): 5905,
            ("a", "a", "a"): 751,
            ("b", "a", "a"): 1262,
            ("a", "b", "b"): 3593,
            ("b", "a", "b"): 2809,
            ("a", "a", "b"): 1674,
            ("a", "b", "a"): 1549,
            ("b", "b", "a"): 2723,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 986,
            ("b", "a", "a"): 288,
            ("a", "a", "b"): 355,
            ("b", "a", "b"): 131,
            ("b", "b", "a"): 55,
            ("a", "b", "a"): 179,
            ("a", "b", "b"): 89,
            ("b", "b", "b"): 24,
        },
        "b": {
            ("b", "a", "b"): 2826,
            ("a", "b", "a"): 1551,
            ("b", "b", "a"): 2717,
            ("a", "b", "b"): 3549,
            ("b", "b", "b"): 5947,
            ("a", "a", "b"): 1643,
            ("b", "a", "a"): 1300,
            ("a", "a", "a"): 733,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 951,
            ("a", "a", "b"): 385,
            ("b", "b", "b"): 27,
            ("b", "a", "a"): 312,
            ("b", "b", "a"): 57,
            ("a", "b", "a"): 187,
            ("b", "a", "b"): 116,
            ("a", "b", "b"): 72,
        },
        "b": {
            ("b", "b", "a"): 2769,
            ("b", "a", "a"): 1291,
            ("a", "b", "b"): 3525,
            ("b", "b", "b"): 5907,
            ("b", "a", "b"): 2778,
            ("a", "a", "b"): 1705,
            ("a", "b", "a"): 1539,
            ("a", "a", "a"): 752,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 981,
            ("b", "a", "a"): 282,
            ("a", "a", "b"): 372,
            ("b", "a", "b"): 127,
            ("a", "b", "a"): 186,
            ("b", "b", "a"): 66,
            ("a", "b", "b"): 71,
            ("b", "b", "b"): 22,
        },
        "b": {
            ("b", "a", "b"): 2783,
            ("a", "a", "b"): 1649,
            ("a", "b", "a"): 1597,
            ("a", "b", "b"): 3555,
            ("b", "b", "a"): 2698,
            ("b", "b", "b"): 5994,
            ("b", "a", "a"): 1265,
            ("a", "a", "a"): 725,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 944,
            ("b", "a", "a"): 322,
            ("b", "b", "a"): 46,
            ("b", "b", "b"): 30,
            ("a", "b", "b"): 64,
            ("a", "b", "a"): 194,
            ("b", "a", "b"): 120,
            ("a", "a", "b"): 387,
        },
        "b": {
            ("b", "b", "a"): 2748,
            ("b", "a", "a"): 1225,
            ("a", "a", "b"): 1643,
            ("b", "b", "b"): 5953,
            ("b", "a", "b"): 2827,
            ("a", "b", "b"): 3503,
            ("a", "a", "a"): 778,
            ("a", "b", "a"): 1589,
        },
    },
    {
        "a": {
            ("a", "b", "a"): 189,
            ("a", "a", "a"): 949,
            ("b", "a", "a"): 305,
            ("a", "a", "b"): 394,
            ("b", "a", "b"): 119,
            ("a", "b", "b"): 77,
            ("b", "b", "a"): 53,
            ("b", "b", "b"): 21,
        },
        "b": {
            ("b", "a", "a"): 1274,
            ("b", "a", "b"): 2798,
            ("a", "b", "b"): 3451,
            ("a", "b", "a"): 1593,
            ("b", "b", "b"): 5974,
            ("b", "b", "a"): 2721,
            ("a", "a", "b"): 1722,
            ("a", "a", "a"): 733,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 302,
            ("b", "b", "a"): 67,
            ("a", "a", "a"): 963,
            ("a", "b", "a"): 185,
            ("b", "a", "b"): 115,
            ("a", "a", "b"): 369,
            ("a", "b", "b"): 83,
            ("b", "b", "b"): 23,
        },
        "b": {
            ("b", "b", "a"): 2661,
            ("a", "b", "b"): 3489,
            ("b", "b", "b"): 6007,
            ("a", "a", "b"): 1654,
            ("b", "a", "b"): 2800,
            ("a", "a", "a"): 756,
            ("b", "a", "a"): 1270,
            ("a", "b", "a"): 1629,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 967,
            ("b", "a", "a"): 303,
            ("a", "b", "a"): 180,
            ("a", "a", "b"): 379,
            ("b", "a", "b"): 113,
            ("a", "b", "b"): 82,
            ("b", "b", "b"): 25,
            ("b", "b", "a"): 58,
        },
        "b": {
            ("b", "b", "b"): 5922,
            ("b", "a", "a"): 1288,
            ("a", "b", "a"): 1607,
            ("b", "b", "a"): 2676,
            ("b", "a", "b"): 2881,
            ("a", "b", "b"): 3495,
            ("a", "a", "b"): 1688,
            ("a", "a", "a"): 709,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 949,
            ("b", "a", "b"): 125,
            ("b", "b", "a"): 60,
            ("a", "a", "b"): 384,
            ("a", "b", "a"): 190,
            ("b", "a", "a"): 306,
            ("b", "b", "b"): 29,
            ("a", "b", "b"): 64,
        },
        "b": {
            ("b", "b", "a"): 2735,
            ("a", "b", "b"): 3569,
            ("a", "a", "a"): 720,
            ("a", "a", "b"): 1654,
            ("b", "b", "b"): 5959,
            ("b", "a", "b"): 2820,
            ("a", "b", "a"): 1528,
            ("b", "a", "a"): 1281,
        },
    },
    {
        "a": {
            ("b", "a", "b"): 124,
            ("a", "b", "a"): 176,
            ("b", "a", "a"): 311,
            ("a", "a", "a"): 970,
            ("a", "a", "b"): 358,
            ("b", "b", "a"): 68,
            ("a", "b", "b"): 84,
            ("b", "b", "b"): 16,
        },
        "b": {
            ("b", "b", "b"): 5952,
            ("b", "b", "a"): 2747,
            ("a", "a", "b"): 1642,
            ("b", "a", "b"): 2824,
            ("b", "a", "a"): 1283,
            ("a", "b", "b"): 3517,
            ("a", "b", "a"): 1565,
            ("a", "a", "a"): 736,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 311,
            ("b", "b", "b"): 25,
            ("a", "a", "b"): 361,
            ("a", "a", "a"): 971,
            ("a", "b", "a"): 173,
            ("b", "a", "b"): 119,
            ("a", "b", "b"): 81,
            ("b", "b", "a"): 66,
        },
        "b": {
            ("b", "a", "b"): 2800,
            ("b", "b", "b"): 5982,
            ("b", "b", "a"): 2646,
            ("a", "b", "b"): 3491,
            ("a", "a", "b"): 1647,
            ("a", "b", "a"): 1623,
            ("b", "a", "a"): 1327,
            ("a", "a", "a"): 750,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 943,
            ("b", "a", "a"): 305,
            ("a", "a", "b"): 368,
            ("a", "b", "b"): 71,
            ("b", "a", "b"): 138,
            ("a", "b", "a"): 191,
            ("b", "b", "a"): 70,
            ("b", "b", "b"): 21,
        },
        "b": {
            ("b", "b", "b"): 5920,
            ("a", "b", "b"): 3511,
            ("a", "a", "a"): 710,
            ("a", "a", "b"): 1664,
            ("a", "b", "a"): 1577,
            ("b", "b", "a"): 2791,
            ("b", "a", "a"): 1298,
            ("b", "a", "b"): 2795,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 311,
            ("a", "a", "a"): 937,
            ("a", "a", "b"): 378,
            ("b", "a", "b"): 120,
            ("a", "b", "b"): 78,
            ("a", "b", "a"): 204,
            ("b", "b", "a"): 58,
            ("b", "b", "b"): 21,
        },
        "b": {
            ("b", "b", "a"): 2698,
            ("a", "b", "b"): 3582,
            ("b", "a", "a"): 1278,
            ("b", "b", "b"): 5953,
            ("a", "b", "a"): 1580,
            ("a", "a", "b"): 1653,
            ("b", "a", "b"): 2764,
            ("a", "a", "a"): 758,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 946,
            ("a", "a", "b"): 397,
            ("b", "a", "a"): 307,
            ("a", "b", "a"): 176,
            ("b", "a", "b"): 129,
            ("b", "b", "a"): 63,
            ("a", "b", "b"): 72,
            ("b", "b", "b"): 17,
        },
        "b": {
            ("a", "b", "b"): 3502,
            ("b", "a", "a"): 1281,
            ("b", "b", "a"): 2724,
            ("b", "b", "b"): 5956,
            ("a", "a", "b"): 1665,
            ("a", "b", "a"): 1596,
            ("b", "a", "b"): 2771,
            ("a", "a", "a"): 771,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 957,
            ("b", "a", "a"): 310,
            ("a", "b", "a"): 171,
            ("a", "a", "b"): 402,
            ("a", "b", "b"): 75,
            ("b", "a", "b"): 99,
            ("b", "b", "a"): 66,
            ("b", "b", "b"): 27,
        },
        "b": {
            ("a", "b", "b"): 3441,
            ("b", "b", "b"): 5961,
            ("b", "b", "a"): 2650,
            ("a", "a", "a"): 732,
            ("a", "b", "a"): 1668,
            ("b", "a", "b"): 2875,
            ("a", "a", "b"): 1683,
            ("b", "a", "a"): 1256,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 932,
            ("b", "a", "b"): 123,
            ("a", "b", "a"): 192,
            ("a", "a", "b"): 396,
            ("b", "b", "a"): 71,
            ("b", "a", "a"): 307,
            ("a", "b", "b"): 70,
            ("b", "b", "b"): 16,
        },
        "b": {
            ("b", "b", "b"): 6038,
            ("b", "a", "b"): 2803,
            ("a", "b", "b"): 3448,
            ("b", "b", "a"): 2738,
            ("b", "a", "a"): 1253,
            ("a", "a", "a"): 759,
            ("a", "a", "b"): 1607,
            ("a", "b", "a"): 1620,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 954,
            ("a", "b", "a"): 193,
            ("b", "a", "b"): 119,
            ("a", "b", "b"): 70,
            ("b", "b", "a"): 64,
            ("a", "a", "b"): 371,
            ("b", "a", "a"): 312,
            ("b", "b", "b"): 24,
        },
        "b": {
            ("a", "b", "b"): 3486,
            ("b", "a", "b"): 2802,
            ("b", "a", "a"): 1281,
            ("b", "b", "a"): 2681,
            ("b", "b", "b"): 6003,
            ("a", "a", "a"): 766,
            ("a", "a", "b"): 1641,
            ("a", "b", "a"): 1606,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 373,
            ("b", "a", "a"): 285,
            ("a", "a", "a"): 971,
            ("b", "a", "b"): 127,
            ("b", "b", "b"): 29,
            ("a", "b", "a"): 175,
            ("a", "b", "b"): 73,
            ("b", "b", "a"): 74,
        },
        "b": {
            ("a", "b", "a"): 1594,
            ("a", "b", "b"): 3514,
            ("b", "b", "b"): 5958,
            ("b", "b", "a"): 2710,
            ("b", "a", "b"): 2824,
            ("a", "a", "b"): 1662,
            ("b", "a", "a"): 1213,
            ("a", "a", "a"): 791,
        },
    },
    {
        "a": {
            ("b", "b", "a"): 54,
            ("a", "b", "a"): 205,
            ("a", "a", "b"): 385,
            ("b", "a", "a"): 310,
            ("a", "a", "a"): 932,
            ("b", "b", "b"): 28,
            ("b", "a", "b"): 130,
            ("a", "b", "b"): 63,
        },
        "b": {
            ("b", "b", "b"): 5914,
            ("b", "b", "a"): 2733,
            ("a", "b", "b"): 3591,
            ("a", "b", "a"): 1521,
            ("b", "a", "b"): 2789,
            ("a", "a", "b"): 1655,
            ("b", "a", "a"): 1318,
            ("a", "a", "a"): 745,
        },
    },
    {
        "a": {
            ("b", "a", "b"): 128,
            ("a", "a", "b"): 367,
            ("a", "a", "a"): 948,
            ("a", "b", "a"): 195,
            ("b", "a", "a"): 306,
            ("a", "b", "b"): 81,
            ("b", "b", "a"): 60,
            ("b", "b", "b"): 22,
        },
        "b": {
            ("b", "b", "b"): 5949,
            ("b", "b", "a"): 2690,
            ("a", "a", "b"): 1691,
            ("a", "b", "b"): 3506,
            ("a", "b", "a"): 1592,
            ("b", "a", "b"): 2819,
            ("b", "a", "a"): 1272,
            ("a", "a", "a"): 747,
        },
    },
    {
        "a": {
            ("a", "b", "b"): 73,
            ("a", "a", "a"): 947,
            ("b", "a", "a"): 327,
            ("a", "a", "b"): 375,
            ("a", "b", "a"): 197,
            ("b", "a", "b"): 120,
            ("b", "b", "a"): 45,
            ("b", "b", "b"): 23,
        },
        "b": {
            ("b", "a", "b"): 2812,
            ("a", "a", "b"): 1646,
            ("b", "b", "a"): 2738,
            ("b", "b", "b"): 5977,
            ("a", "b", "a"): 1591,
            ("a", "b", "b"): 3497,
            ("a", "a", "a"): 758,
            ("b", "a", "a"): 1247,
        },
    },
    {
        "a": {
            ("b", "b", "a"): 65,
            ("a", "a", "a"): 945,
            ("b", "a", "a"): 292,
            ("a", "a", "b"): 382,
            ("a", "b", "b"): 63,
            ("b", "a", "b"): 128,
            ("a", "b", "a"): 208,
            ("b", "b", "b"): 24,
        },
        "b": {
            ("b", "b", "a"): 2654,
            ("b", "b", "b"): 5966,
            ("a", "b", "b"): 3562,
            ("a", "b", "a"): 1618,
            ("a", "a", "b"): 1611,
            ("b", "a", "a"): 1331,
            ("a", "a", "a"): 748,
            ("b", "a", "b"): 2776,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 314,
            ("a", "b", "b"): 80,
            ("b", "a", "b"): 112,
            ("a", "a", "a"): 953,
            ("a", "a", "b"): 385,
            ("a", "b", "a"): 177,
            ("b", "b", "a"): 63,
            ("b", "b", "b"): 23,
        },
        "b": {
            ("b", "b", "b"): 6003,
            ("b", "a", "b"): 2781,
            ("a", "b", "a"): 1574,
            ("a", "a", "a"): 717,
            ("a", "b", "b"): 3536,
            ("a", "a", "b"): 1673,
            ("b", "b", "a"): 2640,
            ("b", "a", "a"): 1342,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 973,
            ("b", "b", "a"): 78,
            ("b", "a", "a"): 294,
            ("a", "a", "b"): 382,
            ("a", "b", "b"): 72,
            ("a", "b", "a"): 177,
            ("b", "a", "b"): 105,
            ("b", "b", "b"): 26,
        },
        "b": {
            ("a", "b", "b"): 3421,
            ("b", "a", "b"): 2750,
            ("a", "a", "a"): 757,
            ("b", "b", "b"): 5993,
            ("b", "b", "a"): 2695,
            ("a", "b", "a"): 1627,
            ("a", "a", "b"): 1711,
            ("b", "a", "a"): 1312,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 396,
            ("b", "a", "b"): 119,
            ("a", "b", "a"): 190,
            ("a", "a", "a"): 951,
            ("a", "b", "b"): 71,
            ("b", "a", "a"): 305,
            ("b", "b", "a"): 59,
            ("b", "b", "b"): 16,
        },
        "b": {
            ("b", "a", "b"): 2884,
            ("a", "b", "b"): 3442,
            ("b", "a", "a"): 1219,
            ("b", "b", "b"): 5921,
            ("b", "b", "a"): 2735,
            ("a", "b", "a"): 1610,
            ("a", "a", "b"): 1704,
            ("a", "a", "a"): 751,
        },
    },
    {
        "a": {
            ("b", "b", "a"): 66,
            ("a", "a", "a"): 979,
            ("a", "b", "a"): 179,
            ("b", "b", "b"): 22,
            ("a", "a", "b"): 356,
            ("b", "a", "b"): 130,
            ("a", "b", "b"): 78,
            ("b", "a", "a"): 297,
        },
        "b": {
            ("b", "b", "a"): 2681,
            ("b", "a", "b"): 2891,
            ("a", "b", "b"): 3542,
            ("b", "b", "b"): 5964,
            ("a", "a", "b"): 1616,
            ("b", "a", "a"): 1260,
            ("a", "b", "a"): 1600,
            ("a", "a", "a"): 712,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 303,
            ("a", "b", "b"): 56,
            ("b", "a", "b"): 134,
            ("a", "b", "a"): 197,
            ("a", "a", "a"): 953,
            ("a", "a", "b"): 376,
            ("b", "b", "a"): 60,
            ("b", "b", "b"): 28,
        },
        "b": {
            ("b", "b", "b"): 5975,
            ("a", "b", "b"): 3533,
            ("a", "a", "b"): 1667,
            ("b", "b", "a"): 2699,
            ("a", "b", "a"): 1583,
            ("b", "a", "b"): 2784,
            ("a", "a", "a"): 786,
            ("b", "a", "a"): 1239,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 966,
            ("b", "a", "a"): 308,
            ("a", "b", "a"): 183,
            ("a", "a", "b"): 365,
            ("b", "a", "b"): 122,
            ("b", "b", "a"): 44,
            ("b", "b", "b"): 35,
            ("a", "b", "b"): 84,
        },
        "b": {
            ("b", "a", "b"): 2874,
            ("a", "a", "b"): 1600,
            ("b", "a", "a"): 1280,
            ("a", "b", "b"): 3464,
            ("b", "b", "a"): 2679,
            ("a", "a", "a"): 735,
            ("a", "b", "a"): 1652,
            ("b", "b", "b"): 5982,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 956,
            ("a", "b", "a"): 196,
            ("a", "a", "b"): 374,
            ("b", "b", "a"): 59,
            ("b", "a", "b"): 127,
            ("a", "b", "b"): 70,
            ("b", "a", "a"): 305,
            ("b", "b", "b"): 20,
        },
        "b": {
            ("b", "b", "a"): 2759,
            ("b", "a", "b"): 2799,
            ("b", "b", "b"): 5932,
            ("a", "a", "b"): 1659,
            ("a", "b", "a"): 1545,
            ("a", "b", "b"): 3522,
            ("a", "a", "a"): 737,
            ("b", "a", "a"): 1313,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 372,
            ("b", "b", "b"): 27,
            ("a", "a", "a"): 954,
            ("b", "b", "a"): 61,
            ("b", "a", "a"): 299,
            ("a", "b", "a"): 196,
            ("b", "a", "b"): 131,
            ("a", "b", "b"): 67,
        },
        "b": {
            ("b", "b", "b"): 5941,
            ("b", "a", "b"): 2773,
            ("a", "b", "b"): 3520,
            ("a", "b", "a"): 1614,
            ("a", "a", "b"): 1703,
            ("b", "b", "a"): 2701,
            ("a", "a", "a"): 709,
            ("b", "a", "a"): 1305,
        },
    },
    {
        "a": {
            ("b", "b", "a"): 71,
            ("a", "a", "a"): 963,
            ("a", "a", "b"): 387,
            ("b", "a", "a"): 294,
            ("a", "b", "a"): 184,
            ("a", "b", "b"): 65,
            ("b", "b", "b"): 19,
            ("b", "a", "b"): 124,
        },
        "b": {
            ("b", "b", "b"): 6072,
            ("b", "a", "b"): 2766,
            ("a", "b", "b"): 3421,
            ("a", "b", "a"): 1646,
            ("a", "a", "b"): 1666,
            ("b", "b", "a"): 2656,
            ("a", "a", "a"): 774,
            ("b", "a", "a"): 1265,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 925,
            ("b", "b", "a"): 59,
            ("a", "a", "b"): 411,
            ("a", "b", "a"): 196,
            ("b", "a", "a"): 316,
            ("a", "b", "b"): 65,
            ("b", "a", "b"): 106,
            ("b", "b", "b"): 29,
        },
        "b": {
            ("b", "b", "b"): 5928,
            ("a", "b", "b"): 3522,
            ("a", "b", "a"): 1565,
            ("a", "a", "b"): 1620,
            ("b", "a", "a"): 1294,
            ("b", "a", "b"): 2802,
            ("b", "b", "a"): 2752,
            ("a", "a", "a"): 783,
        },
    },
    {
        "a": {
            ("a", "a", "a"): 953,
            ("a", "b", "a"): 187,
            ("a", "a", "b"): 374,
            ("b", "a", "a"): 314,
            ("a", "b", "b"): 74,
            ("b", "a", "b"): 114,
            ("b", "b", "a"): 73,
            ("b", "b", "b"): 18,
        },
        "b": {
            ("b", "b", "b"): 5978,
            ("a", "b", "a"): 1587,
            ("b", "a", "b"): 2798,
            ("a", "a", "b"): 1651,
            ("b", "b", "a"): 2704,
            ("a", "b", "b"): 3523,
            ("b", "a", "a"): 1285,
            ("a", "a", "a"): 740,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 401,
            ("b", "a", "a"): 312,
            ("a", "b", "a"): 209,
            ("b", "b", "a"): 51,
            ("a", "a", "a"): 936,
            ("b", "a", "b"): 117,
            ("a", "b", "b"): 53,
            ("b", "b", "b"): 28,
        },
        "b": {
            ("b", "a", "b"): 2776,
            ("a", "b", "b"): 3457,
            ("b", "b", "b"): 5996,
            ("a", "b", "a"): 1560,
            ("a", "a", "b"): 1651,
            ("b", "b", "a"): 2768,
            ("b", "a", "a"): 1287,
            ("a", "a", "a"): 771,
        },
    },
    {
        "a": {
            ("b", "b", "a"): 52,
            ("a", "b", "a"): 198,
            ("a", "a", "a"): 943,
            ("b", "a", "a"): 306,
            ("a", "a", "b"): 393,
            ("b", "a", "b"): 124,
            ("a", "b", "b"): 62,
            ("b", "b", "b"): 29,
        },
        "b": {
            ("b", "b", "b"): 5984,
            ("a", "a", "b"): 1585,
            ("a", "b", "a"): 1611,
            ("a", "b", "b"): 3505,
            ("b", "a", "a"): 1270,
            ("b", "a", "b"): 2876,
            ("b", "b", "a"): 2661,
            ("a", "a", "a"): 774,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 365,
            ("a", "a", "a"): 980,
            ("b", "a", "a"): 313,
            ("a", "b", "a"): 172,
            ("b", "a", "b"): 120,
            ("a", "b", "b"): 83,
            ("b", "b", "a"): 59,
            ("b", "b", "b"): 15,
        },
        "b": {
            ("b", "b", "a"): 2734,
            ("a", "b", "a"): 1592,
            ("b", "b", "b"): 5960,
            ("b", "a", "b"): 2801,
            ("a", "a", "b"): 1696,
            ("a", "b", "b"): 3498,
            ("b", "a", "a"): 1278,
            ("a", "a", "a"): 707,
        },
    },
    {
        "a": {
            ("a", "b", "a"): 203,
            ("a", "a", "a"): 932,
            ("a", "a", "b"): 380,
            ("b", "a", "a"): 323,
            ("a", "b", "b"): 71,
            ("b", "a", "b"): 109,
            ("b", "b", "b"): 28,
            ("b", "b", "a"): 61,
        },
        "b": {
            ("a", "b", "b"): 3526,
            ("b", "b", "b"): 5969,
            ("a", "a", "b"): 1639,
            ("b", "a", "a"): 1267,
            ("b", "a", "b"): 2864,
            ("b", "b", "a"): 2678,
            ("a", "b", "a"): 1553,
            ("a", "a", "a"): 770,
        },
    },
    {
        "a": {
            ("a", "b", "b"): 66,
            ("a", "a", "a"): 934,
            ("b", "b", "b"): 28,
            ("a", "a", "b"): 397,
            ("b", "a", "a"): 315,
            ("a", "b", "a"): 195,
            ("b", "b", "a"): 58,
            ("b", "a", "b"): 114,
        },
        "b": {
            ("b", "b", "a"): 2752,
            ("a", "b", "b"): 3580,
            ("b", "b", "b"): 5889,
            ("b", "a", "a"): 1312,
            ("a", "b", "a"): 1518,
            ("a", "a", "b"): 1726,
            ("b", "a", "b"): 2768,
            ("a", "a", "a"): 721,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 317,
            ("a", "a", "a"): 952,
            ("a", "a", "b"): 371,
            ("b", "a", "b"): 130,
            ("a", "b", "b"): 62,
            ("b", "b", "a"): 50,
            ("a", "b", "a"): 201,
            ("b", "b", "b"): 24,
        },
        "b": {
            ("b", "a", "b"): 2854,
            ("a", "a", "b"): 1617,
            ("a", "b", "a"): 1576,
            ("a", "b", "b"): 3590,
            ("b", "b", "b"): 5897,
            ("b", "a", "a"): 1252,
            ("b", "b", "a"): 2709,
            ("a", "a", "a"): 771,
        },
    },
    {
        "a": {
            ("b", "a", "a"): 322,
            ("a", "a", "a"): 945,
            ("a", "a", "b"): 375,
            ("a", "b", "b"): 88,
            ("a", "b", "a"): 182,
            ("b", "a", "b"): 115,
            ("b", "b", "a"): 56,
            ("b", "b", "b"): 24,
        },
        "b": {
            ("b", "b", "b"): 5980,
            ("b", "a", "b"): 2792,
            ("a", "b", "a"): 1575,
            ("a", "b", "b"): 3504,
            ("a", "a", "b"): 1596,
            ("b", "b", "a"): 2698,
            ("b", "a", "a"): 1344,
            ("a", "a", "a"): 777,
        },
    },
    {
        "a": {
            ("a", "a", "b"): 355,
            ("b", "a", "a"): 312,
            ("a", "a", "a"): 966,
            ("b", "a", "b"): 137,
            ("a", "b", "a"): 181,
            ("b", "b", "a"): 53,
            ("a", "b", "b"): 83,
            ("b", "b", "b"): 20,
        },
        "b": {
            ("a", "b", "b"): 3479,
            ("b", "b", "b"): 6049,
            ("b", "a", "b"): 2768,
            ("a", "a", "a"): 754,
            ("b", "b", "a"): 2634,
            ("a", "a", "b"): 1672,
            ("b", "a", "a"): 1263,
            ("a", "b", "a"): 1647,
        },
    },
)
